#ifndef ETEXTSCROLLATTR_H
#define ETEXTSCROLLATTR_H

#include <QDebug>
#include <QColorDialog>
#include <QPushButton>
#include <QTextOption>
#include "eattr.h"
#include "etext.h"

namespace Ui {
class eTextScrollAttr;
}

class eTextScrollAttr : public eAttr
{
    Q_OBJECT
public:
    explicit eTextScrollAttr(const eText::Data &data, QWidget *parent = nullptr);
    ~eTextScrollAttr();

private:
    void init(const eText::Data &data);

signals: // Widget

signals: //Play
    void sHeadTailConnected(bool);
    void sHeadTailSpacingChanged(int);
    void sRollingSpeedChanged(int);
    void sRollingStyleChanged(int);
    void sPlayDurationChanged(QTime);

protected slots:

private:
    Ui::eTextScrollAttr *ui;
};

#endif // ETEXTSCROLLATTR_H
